<bugID>1134073<Summary>Show cause of a network request in netmonitor</Summary><Description>We should add a column with the reason for a network request happened (XHR, &lt;img&gt;, &lt;script&gt;, form submit, etc).

If it was triggered by JS we may be able to show additional details like a stack trace to help figure out why a request happened.</Description></bugID>